Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452306 - Review Request: tcl-pgtcl - Tcl client library for PostgreSQL
Summary: Review Request: tcl-pgtcl - Tcl client library for PostgreSQL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 20:01 UTC by Tom Lane
Modified: 2013-07-03 03:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-09 05:25:19 UTC
mmaslano: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Tom Lane 2008-06-20 20:01:02 UTC
Spec URL: http://tgl.fedorapeople.org/tcl-pgtcl.spec
SRPM URL: http://tgl.fedorapeople.org/tcl-pgtcl-1.6.2-1.fc10.src.rpm
Description:
The tcl-pgtcl package contains Pgtcl, a Tcl client library for connecting
to a PostgreSQL server.

This is actually not a new package: we have been shipping it for a long time as part of the postgresql SRPM.  However, the upstream project was split off from core postgresql quite some time ago, and now has its own tarball name and version numbering.  To track this properly we need to split out pgtcl as a separate SRPM.  I've also taken the opportunity to try to make the packaging conform to current guidelines for Tcl extensions, which the present postgresql-tcl package is rather far away from.  Once this package is accepted I will remove pgtcl from the postgresql SRPM.

Comment 1 Marcela Mašláňová 2008-11-19 13:52:30 UTC
OK source files match upstream: 
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

Comment 2 Marcela Mašláňová 2009-08-11 12:32:34 UTC
Ping? You've probably forgot on this package.

Comment 3 Tom Lane 2009-08-11 14:18:37 UTC
Haven't forgot about it, but I'm waiting on PyGreSQL to get approved too so I can break them both out at once.  That one's bug #452321.

Comment 4 Tom Lane 2009-11-24 22:00:47 UTC
I've updated the License: tag to "MIT" as per discussion in bug #452321.  Perhaps the logjam is about to break here.

Comment 5 Marcela Mašláňová 2009-11-25 08:04:06 UTC
Let me know when it will be ready. It looks like #452321 will take some time.

Comment 6 Tom Lane 2010-01-07 14:07:11 UTC
New Package CVS Request
=======================
Package Name: tcl-pgtcl
Short Description: Tcl client library for PostgreSQL
Owners: tgl
Branches: F-13 F-12
InitialCC:

Comment 7 Kevin Fenzi 2010-01-09 04:33:27 UTC
We aren't doing F-13 branches yet. Did F-12 and devel for you here. 

cvs done.


Note You need to log in before you can comment on or make changes to this bug.